# -*- encoding: utf-8 -*-
# stub: unicode-display_width 1.0.0 ruby lib

Gem::Specification.new do |s|
  s.name = "unicode-display_width"
  s.version = "1.0.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib"]
  s.authors = ["Jan Lelis"]
  s.date = "2016-03-02"
  s.description = "This gem adds String#display_width to get the display size of a string using EastAsianWidth.txt."
  s.email = "mail@janlelis.de"
  s.extra_rdoc_files = ["README.md", "MIT-LICENSE.txt", "CHANGELOG.txt"]
  s.files = ["CHANGELOG.txt", "MIT-LICENSE.txt", "README.md", "Rakefile", "data/unicode-width.index", "lib/unicode/display_width.rb", "lib/unicode/display_width/constants.rb", "lib/unicode/display_width/index.rb", "lib/unicode/display_width/index_builder.rb", "lib/unicode/display_width/no_string_ext.rb", "lib/unicode/display_width/string_ext.rb", "spec/display_width_spec.rb", "unicode-display_width.gemspec"]
  s.homepage = "http://github.com/janlelis/unicode-display_width"
  s.licenses = ["MIT"]
  s.required_ruby_version = Gem::Requirement.new("~> 2.0")
  s.rubygems_version = "2.5.1"
  s.summary = "Support for east_asian_width string widths."

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<rspec>, ["~> 3.4"])
      s.add_development_dependency(%q<rake>, ["~> 10.4"])
    else
      s.add_dependency(%q<rspec>, ["~> 3.4"])
      s.add_dependency(%q<rake>, ["~> 10.4"])
    end
  else
    s.add_dependency(%q<rspec>, ["~> 3.4"])
    s.add_dependency(%q<rake>, ["~> 10.4"])
  end
end

